<template>
  <dibs-layout ref="layout" layout="hidden" />
</template>
<script>
export default {
  mounted() {
    this.$models.Loader().on()
    this.$models.User().checkConnectionStatus()
    this.$models
      .OpenAK()
      .get(true)
      .then((pension) => {
        if (pension.originalPension) {
          this.$router.push(this.localePath('synthesis'))
        }
      })
      .catch((err) => {
        if (err && err.response && err.response.status === 401) {
          this.$refs.layout.loadMe(true)
        } else {
          this.$router.push(this.localePath('avs'))
        }
      })
  },
}
</script>
